int motor1_forward = 0;
int motor1_reverse = 1;
int motor2_forward = 2;
int motor2_reverse = 3;

int proximity_pin = 7;

int on_delay = 120;
int pwm_delay = 5;

int proximity = 0;

void setup() {
  //init motor output
  pinMode(motor1_forward, OUTPUT);
  pinMode(motor1_reverse, OUTPUT);
  pinMode(motor2_forward, OUTPUT);
  pinMode(motor2_reverse, OUTPUT);
  
  //init proximity sensor input
  pinMode(proximity_pin, INPUT);
  
  digitalWrite(motor1_reverse, LOW);
  digitalWrite(motor2_reverse, LOW);
  
}

void loop() {
  
  proximity = analogRead(proximity_pin);
  
  if (proximity < 300) {  
  
    digitalWrite(motor1_forward, HIGH);
    digitalWrite(motor2_forward, HIGH);
    
    delayMicroseconds(on_delay);
    
    digitalWrite(motor1_forward, LOW);
    digitalWrite(motor2_forward, LOW);
    
  }
  
  delayMicroseconds(pwm_delay);
    
}
